Package edu.fiu.jtlex

# Enum ICompoundTerm.Label

java.lang.Object
java.lang.Enum<ICompoundTerm.Label>
edu.fiu.jtlex.ICompoundTerm.Label

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ICompoundTerm.Label>`, `java.lang.constant.Constable`

Enclosing interface:
  ICompoundTerm

    public static enum ICompoundTerm.Label
    extends java.lang.Enum<ICompoundTerm.Label>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `AGENT` |
  `COMPOUND_TERM` |
  `PREDICATE` |
  `TERM` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ICompoundTerm.Label` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ICompoundTerm.Label[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TERM

    public static final ICompoundTerm.Label TERM

  - ### COMPOUND_TERM

    public static final ICompoundTerm.Label COMPOUND_TERM

  - ### PREDICATE

    public static final ICompoundTerm.Label PREDICATE

  - ### AGENT

    public static final ICompoundTerm.Label AGENT

- ## Method Details

  - ### values

    public static ICompoundTerm.Label[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ICompoundTerm.Label valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null